Release Notes are here.

Current version
  • iOS: 1.7.1
  • Android: 1.0.2

System Requirements

  • An iPhone, iPad, or iPod touch running iOS 8 or later
    —OR—
    A phone or tablet running Android v4 or later
  • An internet connection
  • A licensed installation of Portfolio 1.0 or later, or Portfolio Server 11.2